package com.philisense.rdgo.bean.request;

import java.io.Serializable;
import java.util.List;

/**
 * Created by shaop on 2017/12/13.
 */

public class addRequestBean implements Serializable{


    /**
     * boxNum : 16
     * name :
     * typeName :
     * brand :
     * gene: : 0
     * level :
     * capacity :
     * line :
     * typeCode :
     * factory :
     * keepDate :
     * url :
     * groupCode :
     * sources :
     * technology :
     * ingredients :
     * sourcesCountry :
     * productStandard :
     * foodLicense :
     * address :
     * confirmer :
     * boxes : [{"boxId":"","operator":"","opPersonAccount":"","bottleNum":1,"bottles":[{"bottleId":""}]}]
     */
    private String accessToken;
    private String account;
    private int boxNum;
    private String name;
    private String typeName;
    private String brand;
    private int gene;
    private String level;
    private String capacity;
    private String line;
    private String typeCode;
    private String factory;
    private String keepDate;
    private String url;
    private String groupCode;
    private String sources;
    private String technology;
    private String ingredients;
    private String sourcesCountry;
    private String productStandard;
    private String foodLicense;
    private String address;
    private String confirmer;
    private List<BoxesBean> boxes;
    private String warehouse;
    private String warehouseCode;

    public String getWarehouse() {
        return warehouse;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public int getGene() {
        return gene;
    }

    public void setGene(int gene) {
        this.gene = gene;
    }

    public int getBoxNum() {
        return boxNum;
    }

    public void setBoxNum(int boxNum) {
        this.boxNum = boxNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }


    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public String getKeepDate() {
        return keepDate;
    }

    public void setKeepDate(String keepDate) {
        this.keepDate = keepDate;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public String getSources() {
        return sources;
    }

    public void setSources(String sources) {
        this.sources = sources;
    }

    public String getTechnology() {
        return technology;
    }

    public void setTechnology(String technology) {
        this.technology = technology;
    }

    public String getIngredients() {
        return ingredients;
    }

    public void setIngredients(String ingredients) {
        this.ingredients = ingredients;
    }

    public String getSourcesCountry() {
        return sourcesCountry;
    }

    public void setSourcesCountry(String sourcesCountry) {
        this.sourcesCountry = sourcesCountry;
    }

    public String getProductStandard() {
        return productStandard;
    }

    public void setProductStandard(String productStandard) {
        this.productStandard = productStandard;
    }

    public String getFoodLicense() {
        return foodLicense;
    }

    public void setFoodLicense(String foodLicense) {
        this.foodLicense = foodLicense;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getConfirmer() {
        return confirmer;
    }

    public void setConfirmer(String confirmer) {
        this.confirmer = confirmer;
    }

    public List<BoxesBean> getBoxes() {
        return boxes;
    }

    public void setBoxes(List<BoxesBean> boxes) {
        this.boxes = boxes;
    }

    public static class BoxesBean implements Serializable{
        /**
         * boxId :
         * operator :
         * opPersonAccount :
         * bottleNum : 1
         * bottles : [{"bottleId":""}]
         */

        private String boxId;
        private String operator;
        private String opPersonAccount;
        private int bottleNum;
        private List<BottlesBean> bottles;

        public String getBoxId() {
            return boxId;
        }

        public void setBoxId(String boxId) {
            this.boxId = boxId;
        }

        public String getOperator() {
            return operator;
        }

        public void setOperator(String operator) {
            this.operator = operator;
        }

        public String getOpPersonAccount() {
            return opPersonAccount;
        }

        public void setOpPersonAccount(String opPersonAccount) {
            this.opPersonAccount = opPersonAccount;
        }

        public int getBottleNum() {
            return bottleNum;
        }

        public void setBottleNum(int bottleNum) {
            this.bottleNum = bottleNum;
        }

        public List<BottlesBean> getBottles() {
            return bottles;
        }

        public void setBottles(List<BottlesBean> bottles) {
            this.bottles = bottles;
        }

        public static class BottlesBean implements Serializable{
            /**
             * bottleId :
             */

            private String bottleId;

            public String getBottleId() {
                return bottleId;
            }

            public void setBottleId(String bottleId) {
                this.bottleId = bottleId;
            }
        }
    }
}
